{% extends 'component/list_component.html.twig' %}

{% block tableHeader %}
    {% if showActionButton == true %}
        <th class="mdc-data-table__header-cell" role="columnheader" scope="col"></th>
    {% endif %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Vorname',
        'columnId': 'vorname',
        'ariaLabelId': 'firstname',
        'ariaLabelName': 'Firstname'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Nachname',
        'columnId': 'nachname',
        'ariaLabelId': 'surname',
        'ariaLabelName': 'Surname'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Firmenname',
        'columnId': 'firmenname',
        'ariaLabelId': 'company-name',
        'ariaLabelName': 'Company Name'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'E-Mail',
        'columnId': 'email',
        'ariaLabelId': 'email',
        'ariaLabelName': 'E-Mail'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Typ',
        'columnId': 'typ',
        'ariaLabelId': 'registration-type',
        'ariaLabelName': 'Registration Type'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Zuletzt eingeladen am',
        'columnId': 'zuletzt_eingeladen_am',
        'ariaLabelId': 'resend-date',
        'ariaLabelName': 'Resend Date'
    } only %}
{% endblock %}

{% block tableContent %}
    {% if showActionButton == true %}
        <td class="mdc-data-table__cell">
            {% include 'component/view_or_edit_button_component.html.twig' with {
                'path': path('external_user_user_invitation_edit', {'userInvitationId': listItem.getId()}),
                'item': listItem
            } only %}
            {% if is_granted('edit', listItem) == true %}
                <a title="Einladung erneut senden" href="{{ path('external_user_user_invitation_resend', {'userInvitationId': listItem.getId()}) }}" class="material-icons mdc-icon-button mdc-card__action mdc-card__action--icon text-secondary me-2">
                    <div class="mdc-icon-button__ripple"></div>
                    schedule_send
                </a>
                {% if is_granted('delete', listItem) == true %}
                    <a title="Einladung löschen" href="{{ path('external_user_user_invitation_delete', {'userInvitationId': listItem.getId()}) }}" class="material-icons mdc-icon-button mdc-card__action mdc-card__action--icon text-danger">
                        <div class="mdc-icon-button__ripple"></div>
                        delete
                    </a>
                {% endif %}
            {% endif %}
        </td>
    {% endif %}
    <td class="mdc-data-table__cell">{{ listItem.getFirstName() }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getLastName() }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getCompanyName() }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getEmail() }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getUserRegistrationType().getName() }}</td>
    <td class="mdc-data-table__cell">
        {% if listItem.getResendDate() != null %}
            {{ listItem.getResendDate().format('d.m.Y H:i') }} Uhr
        {% else %}
            {{ listItem.getCreatedAt().format('d.m.Y H:i') }} Uhr
        {% endif %}
    </td>
{% endblock %}
